测试人社区

无法switch_to.context,提示错误,Webview version: ‘Chrome/58.0.3029.125’ ;然后下载chromedriver 2.30或者2.31

问题描述:

  • 环境:
  • 移动端型号:
  • 移动端系统:
  • 问题复述:
    [Chromedriver] Webview version: ‘Chrome/58.0.3029.125’ ;然后下载chromedriver 2.30或者2.31,来试试,还是无法switch_to.context,提示错误

报错信息:

2019-11-13 03:51:52:144 [MJSONWP] Matched JSONWP error code 100 to UnknownError
2019-11-13 03:51:52:145 [Chromedriver] Failed to start Chromedriver session: An unknown server-side error occurred while processing the command. Original error: chrome not reachable
2019-11-13 03:51:52:145 [Chromedriver]   (Driver info: chromedriver=2.30.477690 (c53f4ad87510ee97b5c3425a14c0e79780cdf262),platform=Mac OS X 10.11.1 x86_64)
2019-11-13 03:51:52:350 [WD Proxy] Matched '/session' to command name 'createSession'
2019-11-13 03:51:52:351 [WD Proxy] Proxying [POST /session] to [POST http://127.0.0.1:8000/wd/hub/session] with body: {"desiredCapabilities":{"chromeOptions":{"androidPackage":"com.xueqiu.android","androidUseRunningApp":true,"androidDeviceSerial":"192.168.56.101:5555"},"loggingPrefs":{"browser":"ALL"}}}

原因以及解决方式(没有可以写无):

原因:

解决办法:

  1. 重装appium
  2. 切换模拟器